diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/tv-spectrum-transmitter.cc ns-3.44/src/spectrum/model/tv-spectrum-transmitter.cc
--- ns-3.43/src/spectrum/model/tv-spectrum-transmitter.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/spectrum/model/tv-spectrum-transmitter.cc	2025-03-09 16:55:49.699372300 -0700
@@ -8,16 +8,16 @@
 
 #include "tv-spectrum-transmitter.h"
 
-#include <ns3/antenna-model.h>
-#include <ns3/double.h>
-#include <ns3/enum.h>
-#include <ns3/integer.h>
-#include <ns3/isotropic-antenna-model.h>
-#include <ns3/log.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
-#include <ns3/string.h>
-#include <ns3/uinteger.h>
+#include "ns3/antenna-model.h"
+#include "ns3/double.h"
+#include "ns3/enum.h"
+#include "ns3/integer.h"
+#include "ns3/isotropic-antenna-model.h"
+#include "ns3/log.h"
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
+#include "ns3/string.h"
+#include "ns3/uinteger.h"
 
 #include <cmath>
 
@@ -38,7 +38,7 @@
       m_channelBandwidth(6e6),
       m_basePsd(20),
       m_txPsd(nullptr),
-      m_startingTime(Seconds(0)),
+      m_startingTime(),
       m_transmitDuration(Seconds(0.2)),
       m_active(false)
 {
@@ -184,8 +184,8 @@
 {
     /**
      * Constructor
-     * \param stFreq Start frequency [Hz]
-     * \param bwidth Bandwidth [Hz]
+     * @param stFreq Start frequency [Hz]
+     * @param bwidth Bandwidth [Hz]
      */
     TvSpectrumModelId(double stFreq, double bwidth);
     double startFrequency; //!< Start frequency [Hz]
@@ -200,9 +200,9 @@
 
 /**
  * Minus-than operator
- * \param a left operand
- * \param b right operand
- * \returns true if the left operand has a lower starting frequency
+ * @param a left operand
+ * @param b right operand
+ * @returns true if the left operand has a lower starting frequency
  *          or a smaller bandwidth (if both have the same starting freq.)
  */
 bool
@@ -222,7 +222,7 @@
  * <http://www.ieeeghn.org/wiki/index.php/First-Hand:Digital_Television:_The_Digital_Terrestrial_Television_Broadcasting_(DTTB)_Standard>.
  *
  * COFDM PSD approximated from Figure 12 (8k mode) of the following article:
- * Kopp, Carlo. "High Definition Television." High Definition Television. Air
+ * Kopp, Carlo. "High Definition Television." High Definition Television. Air
  * Power Australia. <http://www.ausairpower.net/AC-1100.html>.
  *
  * Analog PSD approximated from Figure 4 of the following paper:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/tv-spectrum-transmitter.h ns-3.44/src/spectrum/model/tv-spectrum-transmitter.h
--- ns-3.43/src/spectrum/model/tv-spectrum-transmitter.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/spectrum/model/tv-spectrum-transmitter.h	2025-03-09 16:55:49.699372300 -0700
@@ -14,15 +14,15 @@
 #include "spectrum-signal-parameters.h"
 #include "spectrum-value.h"
 
-#include <ns3/antenna-model.h>
-#include <ns3/mobility-model.h>
-#include <ns3/net-device.h>
+#include "ns3/antenna-model.h"
+#include "ns3/mobility-model.h"
+#include "ns3/net-device.h"
 
 namespace ns3
 {
 
 /**
- * \ingroup spectrum
+ * @ingroup spectrum
  *
  * SpectrumPhy implementation that creates a customizable TV transmitter which
  * transmits a PSD spectrum specified by user-set attributes.
@@ -49,7 +49,7 @@
 
     /**
      * Register this type.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -84,7 +84,7 @@
      * Digital_Terrestrial_Television_Broadcasting_(DTTB)_Standard>.
      *
      * COFDM PSD approximated from Figure 12 (8k mode) of the following article:
-     * Kopp, Carlo. "High Definition Television." High Definition Television. Air
+     * Kopp, Carlo. "High Definition Television." High Definition Television. Air
      * Power Australia. <http://www.ausairpower.net/AC-1100.html>.
      *
      * Analog PSD approximated from Figure 4 of the following paper:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/two-ray-spectrum-propagation-loss-model.cc ns-3.44/src/spectrum/model/two-ray-spectrum-propagation-loss-model.cc
--- ns-3.43/src/spectrum/model/two-ray-spectrum-propagation-loss-model.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/spectrum/model/two-ray-spectrum-propagation-loss-model.cc	2025-03-09 16:55:49.699372300 -0700
@@ -8,13 +8,13 @@
 
 #include "two-ray-spectrum-propagation-loss-model.h"
 
-#include <ns3/double.h>
-#include <ns3/log.h>
-#include <ns3/node.h>
-#include <ns3/object-factory.h>
-#include <ns3/pointer.h>
-#include <ns3/random-variable-stream.h>
-#include <ns3/string.h>
+#include "ns3/double.h"
+#include "ns3/log.h"
+#include "ns3/node.h"
+#include "ns3/object-factory.h"
+#include "ns3/pointer.h"
+#include "ns3/random-variable-stream.h"
+#include "ns3/string.h"
 
 #include <algorithm>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/two-ray-spectrum-propagation-loss-model.h ns-3.44/src/spectrum/model/two-ray-spectrum-propagation-loss-model.h
--- ns-3.43/src/spectrum/model/two-ray-spectrum-propagation-loss-model.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/spectrum/model/two-ray-spectrum-propagation-loss-model.h	2025-03-09 16:55:49.699372300 -0700
@@ -25,8 +25,8 @@
 class NetDevice;
 
 /**
- * \ingroup spectrum
- * \brief Two Ray Spectrum Propagation Loss Model
+ * @ingroup spectrum
+ * @brief Two Ray Spectrum Propagation Loss Model
  *
  * This class implements a performance-oriented channel and beamforming models alternative to the
  * ThreeGppSpectrumPropagationLossModel and ThreeGppChannelModel. The main method is
@@ -40,8 +40,8 @@
  * ThreeGppChannelModel would prove too computationally intensive. The target applicability of this
  * model, in terms of frequency range, is 0.5-100 GHz.
  *
- * \see PhasedArrayModel
- * \see ChannelCondition
+ * @see PhasedArrayModel
+ * @see ChannelCondition
  */
 class TwoRaySpectrumPropagationLossModel : public PhasedArraySpectrumPropagationLossModel
 {
@@ -60,7 +60,7 @@
          * Default constructor, requiring the Fluctuating Two Ray fading model parameters as
          * arguments.
          *
-         * \param m the m parameter of the FTR fading model, which represents the "Alpha" and "Beta"
+         * @param m the m parameter of the FTR fading model, which represents the "Alpha" and "Beta"
          * parameters of the Gamma-distributed random variable used to sample the power of the
          * reflected components \param sigma the sigma parameter of the FTR fading model, which
          * expresses the power of the diffuse real and imaginary components \param k the k parameter
@@ -135,24 +135,24 @@
 
     /**
      * Get the type ID.
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
      * Sets the propagation scenario
-     * \param scenario the propagation scenario
+     * @param scenario the propagation scenario
      */
     void SetScenario(const std::string& scenario);
 
     /**
      * Sets the center frequency of the model
-     * \param f the center frequency in Hz
+     * @param f the center frequency in Hz
      */
     void SetFrequency(double f);
 
     /**
-     * \brief Compute the received PSD.
+     * @brief Compute the received PSD.
      *
      * This function computes the received PSD by applying the Fluctuating Two-Ray (FTR)
      * fast fading model and the beamforming gain.
@@ -161,12 +161,12 @@
      * The path loss and shadowing are to be computed separately, using the
      * ThreeGppPropagationLossModel class.
      *
-     * \param txPsd the PSD of the transmitted signal
-     * \param a first node mobility model
-     * \param b second node mobility model
-     * \param aPhasedArrayModel the antenna array of the first node
-     * \param bPhasedArrayModel the antenna array of the second node
-     * \return SpectrumSignalParameters including the PSD of the received signal
+     * @param txPsd the PSD of the transmitted signal
+     * @param a first node mobility model
+     * @param b second node mobility model
+     * @param aPhasedArrayModel the antenna array of the first node
+     * @param bPhasedArrayModel the antenna array of the second node
+     * @return SpectrumSignalParameters including the PSD of the received signal
      */
     Ptr<SpectrumSignalParameters> DoCalcRxPowerSpectralDensity(
         Ptr<const SpectrumSignalParameters> txPsd,
@@ -182,9 +182,9 @@
     /**
      * Retrieves the LOS condition associated to the specified mobility models
      *
-     * \param a the mobility model of the first node
-     * \param b the mobility model of the second node
-     * \return the LOS condition of the link between a and b
+     * @param a the mobility model of the first node
+     * @param b the mobility model of the second node
+     * @return the LOS condition of the link between a and b
      */
     ChannelCondition::LosConditionValue GetLosCondition(Ptr<const MobilityModel> a,
                                                         Ptr<const MobilityModel> b) const;
@@ -214,9 +214,9 @@
      * reference curves and then estimate the FTR parameters based on the reference data,
      * respectively.
      *
-     * \param a first node mobility model
-     * \param b second node mobility model
-     * \return the corresponding FTR model parameters
+     * @param a first node mobility model
+     * @param b second node mobility model
+     * @return the corresponding FTR model parameters
      */
     FtrParams GetFtrParameters(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b) const;
 
@@ -239,8 +239,8 @@
      * Two-Ray Fading Model for mmWave Communications," 2016 IEEE Globecom Workshops (GC Wkshps) for
      * further details on such model.
      *
-     * \param params the FTR fading model parameters
-     * \return the stochastic power gain due to the fast fading
+     * @param params the FTR fading model parameters
+     * @return the stochastic power gain due to the fast fading
      */
     double GetFtrFastFading(const FtrParams& params) const;
 
@@ -260,11 +260,11 @@
      * beamforming." IEEE Wireless Communications Letters 7.5 (2018) for further details on this
      * approach.
      *
-     * \param a first node mobility model
-     * \param b second node mobility model
-     * \param aPhasedArrayModel the antenna array of the first node
-     * \param bPhasedArrayModel the antenna array of the second node
-     * \return the beamforming gain
+     * @param a first node mobility model
+     * @param b second node mobility model
+     * @param aPhasedArrayModel the antenna array of the first node
+     * @param bPhasedArrayModel the antenna array of the second node
+     * @return the beamforming gain
      */
     double CalcBeamformingGain(Ptr<const MobilityModel> a,
                                Ptr<const MobilityModel> b,
@@ -275,9 +275,9 @@
      * Get the index of the closest carrier frequency for which the FTR estimated parameters are
      * available.
      *
-     * \param frequencies the vector of carrier frequencies which have been calibrated
-     * \param targetFc  the carrier frequency of the current simulation
-     * \return the index of frequencies representing the argmin over frequencies of
+     * @param frequencies the vector of carrier frequencies which have been calibrated
+     * @param targetFc  the carrier frequency of the current simulation
+     * @return the index of frequencies representing the argmin over frequencies of
      * abs(frequencies[index] - targetFc)
      */
     std::size_t SearchClosestFc(const std::vector<double>& frequencies, double targetFc) const;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/waveform-generator.cc ns-3.44/src/spectrum/model/waveform-generator.cc
--- ns-3.43/src/spectrum/model/waveform-generator.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/spectrum/model/waveform-generator.cc	2025-03-09 16:55:49.699372300 -0700
@@ -8,12 +8,12 @@
 
 #include "waveform-generator.h"
 
-#include <ns3/antenna-model.h>
-#include <ns3/double.h>
-#include <ns3/log.h>
-#include <ns3/object-factory.h>
-#include <ns3/packet-burst.h>
-#include <ns3/simulator.h>
+#include "ns3/antenna-model.h"
+#include "ns3/double.h"
+#include "ns3/log.h"
+#include "ns3/object-factory.h"
+#include "ns3/packet-burst.h"
+#include "ns3/simulator.h"
 
 namespace ns3
 {
@@ -27,7 +27,7 @@
       m_netDevice(nullptr),
       m_channel(nullptr),
       m_txPowerSpectralDensity(nullptr),
-      m_startTime(Seconds(0))
+      m_startTime()
 {
 }
 
@@ -59,7 +59,7 @@
             .AddAttribute(
                 "Period",
                 "the period (=1/frequency)",
-                TimeValue(Seconds(1.0)),
+                TimeValue(Seconds(1)),
                 MakeTimeAccessor(&WaveformGenerator::SetPeriod, &WaveformGenerator::GetPeriod),
                 MakeTimeChecker())
             .AddAttribute("DutyCycle",
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/model/waveform-generator.h ns-3.44/src/spectrum/model/waveform-generator.h
--- ns-3.43/src/spectrum/model/waveform-generator.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/spectrum/model/waveform-generator.h	2025-03-09 16:55:49.699372300 -0700
@@ -13,12 +13,12 @@
 #include "spectrum-phy.h"
 #include "spectrum-value.h"
 
-#include <ns3/event-id.h>
-#include <ns3/mobility-model.h>
-#include <ns3/net-device.h>
-#include <ns3/nstime.h>
-#include <ns3/packet.h>
-#include <ns3/trace-source-accessor.h>
+#include "ns3/event-id.h"
+#include "ns3/mobility-model.h"
+#include "ns3/net-device.h"
+#include "ns3/nstime.h"
+#include "ns3/packet.h"
+#include "ns3/trace-source-accessor.h"
 
 namespace ns3
 {
@@ -26,7 +26,7 @@
 class AntennaModel;
 
 /**
- * \ingroup spectrum
+ * @ingroup spectrum
  *
  * Simple SpectrumPhy implementation that sends customizable waveform.
  * The generated waveforms have a given Spectrum Power Density and
@@ -45,8 +45,8 @@
     ~WaveformGenerator() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -97,7 +97,7 @@
     /**
      * set the AntennaModel to be used
      *
-     * \param a the Antenna Model
+     * @param a the Antenna Model
      */
     void SetAntenna(Ptr<AntennaModel> a);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/test/spectrum-ideal-phy-test.cc ns-3.44/src/spectrum/test/spectrum-ideal-phy-test.cc
--- ns-3.43/src/spectrum/test/spectrum-ideal-phy-test.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/spectrum/test/spectrum-ideal-phy-test.cc	2025-03-09 16:55:49.699372300 -0700
@@ -6,33 +6,33 @@
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
 
-#include <ns3/adhoc-aloha-noack-ideal-phy-helper.h>
-#include <ns3/config.h>
-#include <ns3/data-rate.h>
-#include <ns3/friis-spectrum-propagation-loss.h>
-#include <ns3/ism-spectrum-value-helper.h>
-#include <ns3/log.h>
-#include <ns3/math.h>
-#include <ns3/mobility-helper.h>
-#include <ns3/object.h>
-#include <ns3/packet-socket-address.h>
-#include <ns3/packet-socket-client.h>
-#include <ns3/packet-socket-helper.h>
-#include <ns3/packet.h>
-#include <ns3/propagation-delay-model.h>
-#include <ns3/ptr.h>
-#include <ns3/simulator.h>
-#include <ns3/single-model-spectrum-channel.h>
-#include <ns3/spectrum-analyzer.h>
-#include <ns3/spectrum-error-model.h>
-#include <ns3/spectrum-helper.h>
-#include <ns3/spectrum-interference.h>
-#include <ns3/spectrum-model-300kHz-300GHz-log.h>
-#include <ns3/spectrum-model-ism2400MHz-res1MHz.h>
-#include <ns3/string.h>
-#include <ns3/test.h>
-#include <ns3/uinteger.h>
-#include <ns3/waveform-generator.h>
+#include "ns3/adhoc-aloha-noack-ideal-phy-helper.h"
+#include "ns3/config.h"
+#include "ns3/data-rate.h"
+#include "ns3/friis-spectrum-propagation-loss.h"
+#include "ns3/ism-spectrum-value-helper.h"
+#include "ns3/log.h"
+#include "ns3/math.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/object.h"
+#include "ns3/packet-socket-address.h"
+#include "ns3/packet-socket-client.h"
+#include "ns3/packet-socket-helper.h"
+#include "ns3/packet.h"
+#include "ns3/propagation-delay-model.h"
+#include "ns3/ptr.h"
+#include "ns3/simulator.h"
+#include "ns3/single-model-spectrum-channel.h"
+#include "ns3/spectrum-analyzer.h"
+#include "ns3/spectrum-error-model.h"
+#include "ns3/spectrum-helper.h"
+#include "ns3/spectrum-interference.h"
+#include "ns3/spectrum-model-300kHz-300GHz-log.h"
+#include "ns3/spectrum-model-ism2400MHz-res1MHz.h"
+#include "ns3/string.h"
+#include "ns3/test.h"
+#include "ns3/uinteger.h"
+#include "ns3/waveform-generator.h"
 
 #include <iomanip>
 #include <iostream>
@@ -52,19 +52,19 @@
 }
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
- * \brief Ideal Spectrum PHY Test
+ * @brief Ideal Spectrum PHY Test
  */
 class SpectrumIdealPhyTestCase : public TestCase
 {
   public:
     /**
      * Constructor
-     * \param snrLinear SNR (linear)
-     * \param phyRate PHY rate (bps)
-     * \param rateIsAchievable Check if the rate is achievable
-     * \param channelType Channel type
+     * @param snrLinear SNR (linear)
+     * @param phyRate PHY rate (bps)
+     * @param rateIsAchievable Check if the rate is achievable
+     * @param channelType Channel type
      */
     SpectrumIdealPhyTestCase(double snrLinear,
                              uint64_t phyRate,
@@ -76,10 +76,10 @@
     void DoRun() override;
     /**
      * Get the test name
-     * \param channelType Channel type
-     * \param snrLinear SNR (linear)
-     * \param phyRate PHY rate (bps)
-     * \return the test name
+     * @param channelType Channel type
+     * @param snrLinear SNR (linear)
+     * @param phyRate PHY rate (bps)
+     * @return the test name
      */
     static std::string Name(std::string channelType, double snrLinear, uint64_t phyRate);
 
@@ -187,7 +187,7 @@
                          TimeValue(Seconds(double(pktSize * 8) / (1.2 * double(phyRate)))));
     client->SetAttribute("PacketSize", UintegerValue(pktSize));
     client->SetAttribute("MaxPackets", UintegerValue(0));
-    client->SetStartTime(Seconds(0.0));
+    client->SetStartTime(Seconds(0));
     client->SetStopTime(Seconds(testDuration));
     c.Get(0)->AddApplication(client);
 
@@ -218,9 +218,9 @@
 }
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
- * \brief Ideal Spectrum PHY TestSuite
+ * @brief Ideal Spectrum PHY TestSuite
  */
 class SpectrumIdealPhyTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/test/spectrum-interference-test.cc ns-3.44/src/spectrum/test/spectrum-interference-test.cc
--- ns-3.43/src/spectrum/test/spectrum-interference-test.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/spectrum/test/spectrum-interference-test.cc	2025-03-09 16:55:49.699372300 -0700
@@ -6,14 +6,14 @@
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
 
-#include <ns3/log.h>
-#include <ns3/object.h>
-#include <ns3/packet.h>
-#include <ns3/ptr.h>
-#include <ns3/simulator.h>
-#include <ns3/spectrum-error-model.h>
-#include <ns3/spectrum-interference.h>
-#include <ns3/test.h>
+#include "ns3/log.h"
+#include "ns3/object.h"
+#include "ns3/packet.h"
+#include "ns3/ptr.h"
+#include "ns3/simulator.h"
+#include "ns3/spectrum-error-model.h"
+#include "ns3/spectrum-interference.h"
+#include "ns3/test.h"
 
 #include <iostream>
 
@@ -22,19 +22,19 @@
 NS_LOG_COMPONENT_DEFINE("SpectrumInterferenceTest");
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
- * \brief Spectrum Interference Test
+ * @brief Spectrum Interference Test
  */
 class SpectrumInterferenceTestCase : public TestCase
 {
   public:
     /**
      * Constructor
-     * \param s Spectrum value
-     * \param txBytes number of bytes to transmit
-     * \param rxCorrect expected Rx bytes
-     * \param name test name
+     * @param s Spectrum value
+     * @param txBytes number of bytes to transmit
+     * @param rxCorrect expected Rx bytes
+     * @param name test name
      */
     SpectrumInterferenceTestCase(Ptr<SpectrumValue> s,
                                  uint32_t txBytes,
@@ -44,7 +44,7 @@
     void DoRun() override;
     /**
      * Retrieve the test results
-     * \param si SpectrumInterference instance
+     * @param si SpectrumInterference instance
      */
     void RetrieveTestResult(SpectrumInterference* si);
 
@@ -130,9 +130,9 @@
 }
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
- * \brief Spectrum Interference TestSuite
+ * @brief Spectrum Interference TestSuite
  */
 class SpectrumInterferenceTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/test/spectrum-test.h ns-3.44/src/spectrum/test/spectrum-test.h
--- ns-3.43/src/spectrum/test/spectrum-test.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/spectrum/test/spectrum-test.h	2025-03-09 16:55:49.699372300 -0700
@@ -11,27 +11,27 @@
 #ifndef SPECTRUM_TEST_H
 #define SPECTRUM_TEST_H
 
-#include <ns3/spectrum-value.h>
-#include <ns3/test.h>
+#include "ns3/spectrum-value.h"
+#include "ns3/test.h"
 
 /**
- * \ingroup spectrum
- * \defgroup spectrum-test Spectrum module tests
+ * @ingroup spectrum
+ * @defgroup spectrum-test Spectrum module tests
  */
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
- * \brief Test if two SpectrumModel instances are equal within a given tolerance.
+ * @brief Test if two SpectrumModel instances are equal within a given tolerance.
  *
  * This test compares component-by-component the two SpectrumModel
  * instances; if any pair of components differs by more than the given
  * tolerance, the test fails.
  *
- * \param actual the actual value obtained by the simulator
- * \param expected the expected value obtained by off-line calculations
- * \param tol the tolerance
- * \param msg the message to print if the test fails
+ * @param actual the actual value obtained by the simulator
+ * @param expected the expected value obtained by off-line calculations
+ * @param tol the tolerance
+ * @param msg the message to print if the test fails
  *
  */
 #define NS_TEST_ASSERT_MSG_SPECTRUM_MODEL_EQ_TOL(actual, expected, tol, msg)                       \
@@ -85,18 +85,18 @@
     } while (false);
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
- * \brief Test if two SpectrumValue instances are equal within a given tolerance.
+ * @brief Test if two SpectrumValue instances are equal within a given tolerance.
  *
  * This test compares component-by-component the two SpectrumValue
  * instances; if any pair of components differs by more than the given
  * tolerance, the test fails.
  *
- * \param actual the actual value obtained by the simulator
- * \param expected the expected value obtained by off-line calculations
- * \param tol the tolerance
- * \param msg the message to print if the test fails
+ * @param actual the actual value obtained by the simulator
+ * @param expected the expected value obtained by off-line calculations
+ * @param tol the tolerance
+ * @param msg the message to print if the test fails
  *
  */
 #define NS_TEST_ASSERT_MSG_SPECTRUM_VALUE_EQ_TOL(actual, expected, tol, msg)                       \
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/test/spectrum-value-test.cc ns-3.44/src/spectrum/test/spectrum-value-test.cc
--- ns-3.43/src/spectrum/test/spectrum-value-test.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/spectrum/test/spectrum-value-test.cc	2025-03-09 16:55:49.699372300 -0700
@@ -8,11 +8,11 @@
 
 #include "spectrum-test.h"
 
-#include <ns3/log.h>
-#include <ns3/object.h>
-#include <ns3/spectrum-converter.h>
-#include <ns3/spectrum-value.h>
-#include <ns3/test.h>
+#include "ns3/log.h"
+#include "ns3/object.h"
+#include "ns3/spectrum-converter.h"
+#include "ns3/spectrum-value.h"
+#include "ns3/test.h"
 
 #include <cmath>
 #include <iostream>
@@ -24,18 +24,18 @@
 #define TOLERANCE 1e-6
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
- * \brief Spectrum Value Test
+ * @brief Spectrum Value Test
  */
 class SpectrumValueTestCase : public TestCase
 {
   public:
     /**
      * Constructor
-     * \param a first SpectrumValue
-     * \param b second SpectrumValue
-     * \param name test name
+     * @param a first SpectrumValue
+     * @param b second SpectrumValue
+     * @param name test name
      */
     SpectrumValueTestCase(SpectrumValue a, SpectrumValue b, std::string name);
     ~SpectrumValueTestCase() override;
@@ -44,9 +44,9 @@
   private:
     /**
      * Check that two SpectrumValue are equal within a tolerance
-     * \param x first SpectrumValue
-     * \param y second SpectrumValue
-     * \return true if the two values are within the tolerance
+     * @param x first SpectrumValue
+     * @param y second SpectrumValue
+     * @return true if the two values are within the tolerance
      */
     bool MoreOrLessEqual(SpectrumValue x, SpectrumValue y);
 
@@ -83,9 +83,9 @@
 }
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
- * \brief Spectrum Value TestSuite
+ * @brief Spectrum Value TestSuite
  */
 class SpectrumValueTestSuite : public TestSuite
 {
@@ -268,9 +268,9 @@
 }
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
- * \brief Spectrum Converter TestSuite
+ * @brief Spectrum Converter TestSuite
  */
 class SpectrumConverterTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/test/spectrum-waveform-generator-test.cc ns-3.44/src/spectrum/test/spectrum-waveform-generator-test.cc
--- ns-3.43/src/spectrum/test/spectrum-waveform-generator-test.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/spectrum/test/spectrum-waveform-generator-test.cc	2025-03-09 16:55:49.699372300 -0700
@@ -5,18 +5,18 @@
  *
  * Author: Luis Pacheco <luisbelem@gmail.com>
  */
-#include <ns3/core-module.h>
-#include <ns3/spectrum-module.h>
-#include <ns3/test.h>
+#include "ns3/core-module.h"
+#include "ns3/spectrum-module.h"
+#include "ns3/test.h"
 
 NS_LOG_COMPONENT_DEFINE("WaveformGeneratorTest");
 
 using namespace ns3;
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
- * \brief Waveform generator Test
+ * @brief Waveform generator Test
  */
 class WaveformGeneratorTestCase : public TestCase
 {
@@ -24,9 +24,9 @@
     /**
      * Constructor
      *
-     * \param period waveform period (seconds)
-     * \param dutyCycle waveform duty cycle
-     * \param stop stop time (seconds)
+     * @param period waveform period (seconds)
+     * @param dutyCycle waveform duty cycle
+     * @param stop stop time (seconds)
      */
     WaveformGeneratorTestCase(double period, double dutyCycle, double stop);
     ~WaveformGeneratorTestCase() override;
@@ -36,7 +36,7 @@
 
     /**
      * Trace if the waveform is active
-     * \param newPkt unused.
+     * @param newPkt unused.
      */
     void TraceWave(Ptr<const Packet> newPkt);
     double m_period;    //!< waveform period (seconds)
@@ -93,10 +93,10 @@
     wave->TraceConnectWithoutContext("TxStart",
                                      MakeCallback(&WaveformGeneratorTestCase::TraceWave, this));
 
-    Simulator::Schedule(Seconds(1.0), &WaveformGenerator::Start, wave);
+    Simulator::Schedule(Seconds(1), &WaveformGenerator::Start, wave);
     Simulator::Schedule(Seconds(m_stop), &WaveformGenerator::Stop, wave);
 
-    Simulator::Stop(Seconds(3.0));
+    Simulator::Stop(Seconds(3));
     Simulator::Run();
 
     NS_TEST_ASSERT_MSG_EQ(m_fails, 0, "Wave started after the stop method was called");
@@ -105,9 +105,9 @@
 }
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
- * \brief Waveform generator TestSuite
+ * @brief Waveform generator TestSuite
  */
 class WaveformGeneratorTestSuite : public TestSuite
 {
